Enregistrez-vous sur www.info-utiles.fr    Connexion
    
Menu principal
Navigation dans les sujets

Mac et Linux : PHP SensioLabs, Symfony 2.0 supportera PHP 5.3
Posté par JulieM le 13/11/2009 0:00:00 Articles du même auteur

A l'occasion de l'ouverture du Forum PHP Sensio Labs, le spécialiste de l’Open-Source, annonce le support de PHP 5.3 pour la prochaine version majeure de son framework, Symfony. Avec la volonté de proposer un framework toujours plus professionnalisé et innovant.

Une rupture technologique au service des entreprises



Après l’arrivée de PHP 5 il y a quelques années, l'année 2010 devait être marquée par une nouvelle rupture technologique dans le monde PHP. L’effet combiné de l’adoption de PHP 5.3 comme version de référence du langage et la sortie de versions majeures pour les frameworks de référence (Symfony et Zend Framework notamment), vont révolutionner les usages de PHP dans les entreprises.

Symfony 2.0 sera une avancée majeure de par l'aboutissement de 5 années de développement visant à répondre aux besoins des utilisateurs professionnels, et grâce aux évolutions de PHP 5.3.





Cette version propose de nouvelles fonctionnalité
s - support des namespaces, des closures, Late State Binding, etc - devenues nécessaire pour poursuivre les innovations et se rapprocher fonctionnellement des solutions propriétaires. Avec un support de Windows amélioré et des performances encore meilleures, PHP 5.3 représente un choix idéal dans des environnements professionnels nécessitant des architectures complexes et des déploiements à grande échelle.

Grâce au support natif des namespaces (espaces de noms), l'interopérabilité entre les frameworks devrait également être meilleure. « De nombreux développeurs décident d’utiliser les meilleurs composants issus des différents frameworks ; ainsi, il n’est pas rare qu’un projet sous Symfony intègre des bibliothèques du Zend Framework. » complète Fabien Potencier, fondateur de Sensio Labs et lead developer de Symfony.

Symfony sera l'un des seuls frameworks PHP à poursuivre le support de PHP 5.2

Alors que la majorité des frameworks Open-Source PHP devront délaisser la compatibilité PHP 5.2 au profit de la version 5.3, Symfony continuera de supporter PHP 5.2 grâce à ses versions « entreprises ». En effet, les versions majeures de Symfony sont supportées au minimum pour 3 ans par la communauté et jusqu’à 5 ans par Sensio Labs.

Ainsi, les entreprises les plus agiles pourront profiter des avancées de PHP 5.3 rapidement en adoptant Symfony 2.0 dès sa sortie (prévue pour fin 2010) ; alors que les entreprises ayant fait le choix de symfony pour des projets existants pourront obtenir un support jusque fin 2014 en migrant vers la version 1.4 qui sortira courant décembre 2009.

Symfony 2.0 et la communauté PHP

Symfony s’était engagé dans la promotion active de PHP 5.0 via l'initiative « Go PHP5 » en 2005. Aujourd’hui, Symfony et les principaux frameworks et logiciels de référence du monde PHP se sont unis une nouvelle fois pour promouvoir l’adoption de PHP 5.3 dans les entreprises et faciliter l’interopérabilité des solutions entre elles.

L'adoption massive de PHP 5.3, notamment grâce aux nouvelles versions des frameworks, poussera en outre les distributions Linux les plus conservatrices et les entreprises à adopter plus rapidement la nouvelle version. La volonté de Sensio Labs est d'accompagner ces entreprises dans cette mutation.

Symfony 2.0 est d'ores et déjà en développement, et la première version alpha sera dévoilée en février 2010 à l'occasion de la seconde édition de Symfony Live.

Note: 0.00 (0 votes) - Noter cet article -




Autres articles
21/10/2020 14:30:00 - DIRT 5 : Xbox Series X, trailer de Gameplay
21/10/2020 14:00:00 - Mars Horizon : PC et consoles le 17 novembre 2020
21/10/2020 13:30:00 - Pocketalk S : A mettre dans la hotte du Père-Noel.
19/10/2020 14:30:00 - Bitdefender : Protéger vos appareils.
19/10/2020 14:00:00 - Cyberpunk 2077 : Porsche y ajoute une 911 Turbo
19/10/2020 13:30:00 - Télétravail - 10 clés pour protéger efficacement son SI
19/10/2020 12:00:00 - Pocketalk S, le traducteur de poche conçu pour faciliter les échanges
16/10/2020 14:30:00 - Planet Coaster: Console Edition, consoles et Next-Gen
16/10/2020 14:00:00 - Cyberpunk 2077 : Nouvelles vidéos des véhicules.
16/10/2020 13:30:00 - Bitdefender : Comment protéger vos données de santé en ligne

Les commentaires appartiennent à leurs auteurs. Nous ne sommes pas responsables de leur contenu.



Facebook
facebook
Bitdefender



www.bitdefender.fr

Bitdefender






© 2008 info-utiles.fr - Tous droits réservés  |  hébergé par www.iloclic.com   - règles de confidentialité